=== debian/changelog ===
mysql-workbench (6.1.7+dfsg-1ubuntu1) utopic; urgency=high

  * New "libglib2.42.patch" with adaptations for compatibility with
    libglib_2.42 (LP: #1376154).
    Thanks, Marcin Szalowicz.

 -- Michael Petch <mpetch@capp-sysware.com>  Sun, 16 Nov 2014 20:55:43 -0700

mysql-workbench (6.1.7+dfsg-1) unstable; urgency=low

  * New upstream release [June 2014].
  * Added "debian/gbp.conf".

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 03 Jul 2014 23:41:54 +1000

mysql-workbench (6.1.6+dfsg-1) unstable; urgency=low

  * New upstream release [May 2014].
  * Dropped "prtcl.patch".
  * "debian/clean": better clean-up.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 31 May 2014 12:03:58 +1000

mysql-workbench (6.1.4+dfsg-2) unstable; urgency=low

  * New patch to fix FTBFS on non-Linux architectures.
  * Depend on "virtual-mysql-client" (Closes: #743441).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 06 Apr 2014 13:54:32 +1000

mysql-workbench (6.1.4+dfsg-1) unstable; urgency=low

  * New upstream release [March 2014].
    + fixed crash on add table to empty EER diagram (Closes: #726501).
  * Patces dropped (applied-upstream):
    - doclib.patch
    - 732316-fix-ftbfs.patch
  * Refreshed "pythonlibs.patch".
  * Added patch to set relative RPATH to `wbcopytables` (Closes: #739515).
  * Depends: "mariadb-client" added as alternative to "mysql-client".

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 02 Apr 2014 17:04:09 +1100
