=== debian/mysql-workbench-help/debian/changelog ===
mysql-workbench-help (6.1.7+repack-1) unstable; urgency=low

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 03 Jul 2014 23:40:17 +1000

mysql-workbench-help (6.1.6+repack-1) unstable; urgency=low

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 31 May 2014 11:46:36 +1000

mysql-workbench-help (6.1.4+repack-1) unstable; urgency=low

  * New upstream release.
  * Standards to 3.9.5.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 02 Apr 2014 21:02:13 +1100
