=== debian/watch ===
# uscan(1) configuration file.
# Use 'debian/rules get-orig-source' command to generate DFSG-repackaged archive.

version=3

opts=dversionmangle=s/\+dfsg\d*// \
http://www.mirrorservice.org/sites/ftp.mysql.com/Downloads/MySQLGUITools\
/mysql-workbench-community-([\d\.]+)-nodocs-src\.tar\.(?:gz|bz2|xz)
